> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Web Tool Version Updates

> Checks if there are newer versions available for the specified web tools.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/voice-agents/web-tool/version-check
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v1/voice-agents/web-tool/version-check:
    post:
      summary: Check for newer versions of Web Tools.
      description: >-
        Checks if there are newer versions available for the specified web
        tools.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckVersionRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckVersionResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '500':
          description: Server Side Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
      deprecated: true
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CheckVersionRequest:
      type: object
      properties:
        webToolIds:
          type: array
          items:
            type: string
            format: uuid
          description: Array of web tool UUIDs to check for version updates.
          example:
            - d949f13f-40d2-4e48-ac86-b66633070603
            - a123b456-78cd-9012-ef34-56789abcdef0
      required:
        - webToolIds
    CheckVersionResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: Success
        data:
          type: array
          items:
            $ref: '#/components/schemas/VersionCheckResult'
    ErrorSchema:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
    VersionCheckResult:
      type: object
      properties:
        webToolId:
          type: string
          format: uuid
          example: d949f13f-40d2-4e48-ac86-b66633070603
        currentVersion:
          type: string
          example: 1.0.0
        latestVersion:
          type: string
          example: 1.2.0
        hasUpdate:
          type: boolean
          example: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````